import { registerAs } from '@nestjs/config';

export interface PaginationConfig {
  perPage: number;
}

export default registerAs('pagination', () => ({
  perPage: process.env.PER_PAGE ? parseInt(process.env.PER_PAGE, 10) : 10,
}));
