import { registerAs } from '@nestjs/config';

export default registerAs('service', () => ({
  url: process.env.SERVICE_URL ?? '0.0.0.0',
  port: process.env.SERVICE_PORT
    ? parseInt(process.env.SERVICE_PORT, 10)
    : 5003,
}));
