import { Command, CommandProps } from '@mobicoop/ddd-library';

export class SetConfigurationCommand extends Command {
  readonly domain: string;
  readonly key: string;
  readonly value: string;

  constructor(props: CommandProps<SetConfigurationCommand>) {
    super(props);
    this.domain = props.domain;
    this.key = props.key;
    this.value = props.value;
  }
}
